Index: sansmodels/src/sans/models/BinaryHSModel.py
===================================================================
--- sansmodels/src/sans/models/BinaryHSModel.py	(revision fe9c19b40dbe89e6d4c6ac8339eb8e3b843f7ab5)
+++ sansmodels/src/sans/models/BinaryHSModel.py	(revision 4cbaf3560d19e19647ad025a9ea3239a0d1934a7)
@@ -36,4 +36,8 @@
          vol_frac_ls     = 0.1 
          vol_frac_ss     = 0.2 
+         ls_sld          = 3.5e-006 [1/A^(2)]
+         ss_sld          = 5e-007 [1/A^(2)]
+         solvent_sld     = 6.36e-006 [1/A^(2)]
+         background      = 0.001 [1/cm]
 
     """
@@ -64,4 +68,8 @@
         self.details['vol_frac_ls'] = ['', None, None]
         self.details['vol_frac_ss'] = ['', None, None]
+        self.details['ls_sld'] = ['[1/A^(2)]', None, None]
+        self.details['ss_sld'] = ['[1/A^(2)]', None, None]
+        self.details['solvent_sld'] = ['[1/A^(2)]', None, None]
+        self.details['background'] = ['[1/cm]', None, None]
 
         ## fittable parameters
@@ -77,8 +85,4 @@
     def __getstate__(self):
         """ return object state for pickling and copying """
-        print "__dict__",self.__dict__
-        #self.__dict__['params'] = self.params
-        #self.__dict__['dispersion'] = self.dispersion
-        #self.__dict__['log'] = self.log
         model_state = {'params': self.params, 'dispersion': self.dispersion, 'log': self.log}
         
Index: sansmodels/src/sans/models/BinaryHSPSF11Model.py
===================================================================
--- sansmodels/src/sans/models/BinaryHSPSF11Model.py	(revision fe9c19b40dbe89e6d4c6ac8339eb8e3b843f7ab5)
+++ sansmodels/src/sans/models/BinaryHSPSF11Model.py	(revision 4cbaf3560d19e19647ad025a9ea3239a0d1934a7)
@@ -88,8 +88,4 @@
     def __getstate__(self):
         """ return object state for pickling and copying """
-        print "__dict__",self.__dict__
-        #self.__dict__['params'] = self.params
-        #self.__dict__['dispersion'] = self.dispersion
-        #self.__dict__['log'] = self.log
         model_state = {'params': self.params, 'dispersion': self.dispersion, 'log': self.log}
         
Index: sansmodels/src/sans/models/c_extensions/binaryHS.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/binaryHS.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
+++ sansmodels/src/sans/models/c_extensions/binaryHS.h	(revision 4cbaf3560d19e19647ad025a9ea3239a0d1934a7)
@@ -38,5 +38,5 @@
 
 	///	large sphere scattering length density [1/A^(2)]
-    //  [DEFAULT]=ls_sld= 3.5e-6 [1/A^{2}]
+    //  [DEFAULT]=ls_sld= 3.5e-6 [1/A^(2)]
     double ls_sld;
 
Index: sansmodels/src/sans/models/c_models/CBinaryHSModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CBinaryHSModel.cpp	(revision 71e2de7847488b42c4cf0dc9dec0f020e2d9b586)
+++ sansmodels/src/sans/models/c_models/CBinaryHSModel.cpp	(revision 4cbaf3560d19e19647ad025a9ea3239a0d1934a7)
@@ -90,8 +90,12 @@
         
         // Initialize parameter dictionary
+        PyDict_SetItemString(self->params,"vol_frac_ls",Py_BuildValue("d",0.100000));
+        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.001000));
+        PyDict_SetItemString(self->params,"vol_frac_ss",Py_BuildValue("d",0.200000));
+        PyDict_SetItemString(self->params,"solvent_sld",Py_BuildValue("d",0.000006));
+        PyDict_SetItemString(self->params,"ls_sld",Py_BuildValue("d",0.000003));
+        PyDict_SetItemString(self->params,"ss_sld",Py_BuildValue("d",0.000000));
         PyDict_SetItemString(self->params,"s_radius",Py_BuildValue("d",25.000000));
-        PyDict_SetItemString(self->params,"vol_frac_ss",Py_BuildValue("d",0.200000));
         PyDict_SetItemString(self->params,"l_radius",Py_BuildValue("d",100.000000));
-        PyDict_SetItemString(self->params,"vol_frac_ls",Py_BuildValue("d",0.100000));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
@@ -234,8 +238,12 @@
 	
 	    // Reader parameter dictionary
+    self->model->vol_frac_ls = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ls") );
+    self->model->background = PyFloat_AsDouble( PyDict_GetItemString(self->params, "background") );
+    self->model->vol_frac_ss = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ss") );
+    self->model->solvent_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "solvent_sld") );
+    self->model->ls_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "ls_sld") );
+    self->model->ss_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "ss_sld") );
     self->model->s_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "s_radius") );
-    self->model->vol_frac_ss = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ss") );
     self->model->l_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "l_radius") );
-    self->model->vol_frac_ls = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ls") );
     // Read in dispersion parameters
     PyObject* disp_dict;
@@ -307,8 +315,12 @@
 	
 	    // Reader parameter dictionary
+    self->model->vol_frac_ls = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ls") );
+    self->model->background = PyFloat_AsDouble( PyDict_GetItemString(self->params, "background") );
+    self->model->vol_frac_ss = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ss") );
+    self->model->solvent_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "solvent_sld") );
+    self->model->ls_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "ls_sld") );
+    self->model->ss_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "ss_sld") );
     self->model->s_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "s_radius") );
-    self->model->vol_frac_ss = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ss") );
     self->model->l_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "l_radius") );
-    self->model->vol_frac_ls = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ls") );
     // Read in dispersion parameters
     PyObject* disp_dict;
@@ -367,8 +379,12 @@
 	
 	    // Reader parameter dictionary
+    self->model->vol_frac_ls = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ls") );
+    self->model->background = PyFloat_AsDouble( PyDict_GetItemString(self->params, "background") );
+    self->model->vol_frac_ss = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ss") );
+    self->model->solvent_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "solvent_sld") );
+    self->model->ls_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "ls_sld") );
+    self->model->ss_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "ss_sld") );
     self->model->s_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "s_radius") );
-    self->model->vol_frac_ss = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ss") );
     self->model->l_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "l_radius") );
-    self->model->vol_frac_ls = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ls") );
     // Read in dispersion parameters
     PyObject* disp_dict;
@@ -396,8 +412,12 @@
 	
 	    // Reader parameter dictionary
+    self->model->vol_frac_ls = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ls") );
+    self->model->background = PyFloat_AsDouble( PyDict_GetItemString(self->params, "background") );
+    self->model->vol_frac_ss = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ss") );
+    self->model->solvent_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "solvent_sld") );
+    self->model->ls_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "ls_sld") );
+    self->model->ss_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "ss_sld") );
     self->model->s_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "s_radius") );
-    self->model->vol_frac_ss = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ss") );
     self->model->l_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "l_radius") );
-    self->model->vol_frac_ls = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ls") );
     // Read in dispersion parameters
     PyObject* disp_dict;
